var wpbfp = '${settings.wpProtectAddon}' == 'true' ? "THROTTLE" : "OFF";

var resp = {
  result: 0,
  ssl: !!jelastic.billing.account.GetQuotas('environment.jelasticssl.enabled').array[0].value,
  nodes: []
}

resp.nodes.push({
  nodeType: "llsmp",
  engine: "${settings.phpVersion}",
  count: 1,
  cloudlets: 16, // Use a default value or define in settings
  diskLimit: 10, // Use a default value or define in settings
  nodeGroup: "cp",
  skipNodeEmails: true,
  displayName: "AppServer",
  env: {
    SERVER_WEBROOT: "/var/www/webroot/ROOT",
    REDIS_ENABLED: "true",
    WAF: '${settings.wafAddon}',
    WP_PROTECT: wpbfp,
    WP_PROTECT_LIMIT: 100
  }
})

return resp;